update to openjdk 11 in 18.04 LTS

Bug #1814133 reported by Matthias Klose on 2019-01-31
106
This bug affects 1 person
Affects Status Importance Assigned to Milestone
activemq (Ubuntu)
Bionic
Undecided
Unassigned
afterburner.fx (Ubuntu)
Bionic
Undecided
Unassigned
annotation-indexer (Ubuntu)
Bionic
Undecided
Unassigned
apache-directory-server (Ubuntu)
Bionic
Undecided
Unassigned
aspectj (Ubuntu)
Bionic
Undecided
Unassigned
aspectj-maven-plugin (Ubuntu)
Bionic
Undecided
Unassigned
batik (Ubuntu)
Bionic
Undecided
Unassigned
bindex (Ubuntu)
Bionic
Undecided
Unassigned
bridge-method-injector (Ubuntu)
Bionic
Undecided
Unassigned
ca-certificates-java (Ubuntu)
Undecided
Unassigned
Cosmic
Undecided
Unassigned
carrotsearch-hppc (Ubuntu)
Bionic
Undecided
Unassigned
clojure (Ubuntu)
Bionic
Undecided
Unassigned
clojure1.8 (Ubuntu)
Bionic
Undecided
Unassigned
commons-httpclient (Ubuntu)
Bionic
Undecided
Unassigned
dd-plist (Ubuntu)
Bionic
Undecided
Unassigned
ecj (Ubuntu)
Bionic
Undecided
Unassigned
eclipselink (Ubuntu)
Bionic
Undecided
Unassigned
elki (Ubuntu)
Bionic
Undecided
Unassigned
figtree (Ubuntu)
Bionic
Undecided
Unassigned
fontawesomefx (Ubuntu)
Bionic
Undecided
Unassigned
fonts-liberation2 (Ubuntu)
Undecided
Unassigned
gatk-native-bindings (Ubuntu)
Undecided
Unassigned
Cosmic
Undecided
Unassigned
geogebra (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
Cosmic
Undecided
Unassigned
gettext (Ubuntu)
Bionic
Undecided
Unassigned
gkl (Ubuntu)
Undecided
Unassigned
Cosmic
Undecided
Unassigned
gluegen2 (Ubuntu)
Bionic
Undecided
Unassigned
gradle (Ubuntu)
Bionic
Undecided
Unassigned
Cosmic
Undecided
Unassigned
gradle-debian-helper (Ubuntu)
Bionic
Undecided
Unassigned
groovy (Ubuntu)
Bionic
Undecided
Unassigned
hikaricp (Ubuntu)
Bionic
Undecided
Unassigned
hsqldb (Ubuntu)
Bionic
Undecided
Unassigned
hsqldb1.8.0 (Ubuntu)
Bionic
Undecided
Unassigned
htsjdk (Ubuntu)
Undecided
Unassigned
Cosmic
Undecided
Unassigned
insubstantial (Ubuntu)
Bionic
Undecided
Unassigned
jabref (Ubuntu)
Bionic
Undecided
Unassigned
jackson-core (Ubuntu)
Bionic
Undecided
Unassigned
jackson-databind (Ubuntu)
Bionic
Undecided
Unassigned
jackson-dataformat-xml (Ubuntu)
Bionic
Undecided
Unassigned
jackson-module-jaxb-annotations (Ubuntu)
Bionic
Undecided
Unassigned
jameica (Ubuntu)
Undecided
Unassigned
Cosmic
Undecided
Unassigned
jameica-datasource (Ubuntu)
Undecided
Unassigned
Cosmic
Undecided
Unassigned
jameica-util (Ubuntu)
Undecided
Unassigned
Cosmic
Undecided
Unassigned
jasperreports (Ubuntu)
Undecided
Unassigned
Cosmic
Undecided
Unassigned
java-common (Ubuntu)
Bionic
Undecided
Unassigned
javafxsvg (Ubuntu)
Bionic
Undecided
Unassigned
javamail (Ubuntu)
Bionic
Undecided
Unassigned
javatools (Ubuntu)
Bionic
Undecided
Unassigned
jaxws-api (Ubuntu)
Undecided
Unassigned
Cosmic
Undecided
Unassigned
jboss-classfilewriter (Ubuntu)
Bionic
Undecided
Unassigned
jboss-jdeparser2 (Ubuntu)
Bionic
Undecided
Unassigned
jboss-modules (Ubuntu)
Bionic
Undecided
Unassigned
jcommander (Ubuntu)
Bionic
Undecided
Unassigned
jersey1 (Ubuntu)
Bionic
Undecided
Unassigned
jftp (Ubuntu)
Bionic
Undecided
Unassigned
jhove (Ubuntu)
Bionic
Undecided
Unassigned
Cosmic
Undecided
Unassigned
jmdns (Ubuntu)
Bionic
Undecided
Unassigned
jnr-posix (Ubuntu)
Bionic
Undecided
Unassigned
jruby (Ubuntu)
Bionic
Undecided
Unassigned
jruby-openssl (Ubuntu)
Bionic
Undecided
Unassigned
jtreg (Ubuntu)
Bionic
Undecided
Unassigned
jts (Ubuntu)
Bionic
Undecided
Unassigned
junit4 (Ubuntu)
Bionic
Undecided
Unassigned
jws-api (Ubuntu)
Undecided
Unassigned
Cosmic
Undecided
Unassigned
jxgrabkey (Ubuntu)
Bionic
Undecided
Unassigned
jython (Ubuntu)
Bionic
Undecided
Unassigned
libapache-poi-java (Ubuntu)
Bionic
Undecided
Unassigned
libbtm-java (Ubuntu)
Bionic
Undecided
Unassigned
libcommons-collections3-java (Ubuntu)
Bionic
Undecided
Unassigned
libcommons-collections4-java (Ubuntu)
Bionic
Undecided
Unassigned
libcommons-compress-java (Ubuntu)
Bionic
Undecided
Unassigned
libcommons-lang3-java (Ubuntu)
Bionic
Undecided
Unassigned
libgpars-groovy-java (Ubuntu)
Bionic
Undecided
Unassigned
libhibernate-validator-java (Ubuntu)
Bionic
Undecided
Unassigned
libjackson-json-java (Ubuntu)
Bionic
Undecided
Unassigned
libjavaewah-java (Ubuntu)
Bionic
Undecided
Unassigned
libjdo-api-java (Ubuntu)
Bionic
Undecided
Unassigned
libjdom1-java (Ubuntu)
Bionic
Undecided
Unassigned
libjgoodies-looks-java (Ubuntu)
Bionic
Undecided
Unassigned
libjogl2-java (Ubuntu)
Undecided
Unassigned
Cosmic
Undecided
Unassigned
libnetx-java (Ubuntu)
Bionic
Undecided
Unassigned
libpdfbox-java (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
Cosmic
Undecided
Unassigned
libpdfbox2-java (Ubuntu)
Bionic
Undecided
Unassigned
libpicocontainer-java (Ubuntu)
Bionic
Undecided
Unassigned
libquartz-java (Ubuntu)
Bionic
Undecided
Unassigned
libreoffice (Ubuntu)
Undecided
Olivier Tilloy
libreoffice-l10n (Ubuntu)
Undecided
Olivier Tilloy
libsambox-java (Ubuntu)
Bionic
Undecided
Unassigned
libscram-java (Ubuntu)
Bionic
Undecided
Unassigned
libsejda-java (Ubuntu)
Bionic
Undecided
Unassigned
libspring-java (Ubuntu)
Bionic
Undecided
Unassigned
libswingx-java (Ubuntu)
Bionic
Undecided
Unassigned
libxml-security-java (Ubuntu)
Bionic
Undecided
Unassigned
libxstream-java (Ubuntu)
Bionic
Undecided
Unassigned
logback (Ubuntu)
Bionic
Undecided
Unassigned
lucene-solr (Ubuntu)
Bionic
Undecided
Unassigned
mapsforge (Ubuntu)
Bionic
Undecided
Unassigned
mariadb-connector-java (Ubuntu)
Bionic
Undecided
Unassigned
maven-bundle-plugin (Ubuntu)
Bionic
Undecided
Unassigned
maven-compiler-plugin (Ubuntu)
Bionic
Undecided
Unassigned
maven-debian-helper (Ubuntu)
Bionic
Undecided
Unassigned
maven-enforcer (Ubuntu)
Bionic
Undecided
Unassigned
maven-javadoc-plugin (Ubuntu)
Bionic
Undecided
Unassigned
maven-jaxb2-plugin (Ubuntu)
Bionic
Undecided
Unassigned
maven-plugin-tools (Ubuntu)
Bionic
Undecided
Unassigned
mavibot (Ubuntu)
Bionic
Undecided
Unassigned
mckoisqldb (Ubuntu)
Bionic
Undecided
Unassigned
metro-policy (Ubuntu)
Undecided
Unassigned
Cosmic
Undecided
Unassigned
mobile-atlas-creator (Ubuntu)
Bionic
Undecided
Unassigned
mockito (Ubuntu)
Bionic
Undecided
Unassigned
mongo-java-driver (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
Cosmic
Undecided
Unassigned
msv (Ubuntu)
Bionic
Undecided
Unassigned
obantoo (Ubuntu)
Bionic
Undecided
Unassigned
objenesis (Ubuntu)
Bionic
Undecided
Unassigned
octave (Ubuntu)
Undecided
Unassigned
Cosmic
Undecided
Unassigned
openhft-chronicle-bytes (Ubuntu)
Bionic
Undecided
Unassigned
openhft-chronicle-core (Ubuntu)
Bionic
Undecided
Unassigned
openhft-chronicle-threads (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
Cosmic
Undecided
Unassigned
openhft-lang (Ubuntu)
Bionic
Undecided
Unassigned
openjdk-11-jre-dcevm (Ubuntu)
Bionic
Undecided
Unassigned
openjdk-lts (Ubuntu)
Bionic
Undecided
Unassigned
openjfx (Ubuntu)
Bionic
Undecided
Unassigned
Cosmic
Undecided
Unassigned
openjpa (Ubuntu)
Bionic
Undecided
Unassigned
orthanc-imagej (Ubuntu)
Bionic
Undecided
Unassigned
pdfsam (Ubuntu)
Bionic
Undecided
Unassigned
plexus-io (Ubuntu)
Bionic
Undecided
Unassigned
plexus-languages (Ubuntu)
Bionic
Undecided
Unassigned
procyon (Ubuntu)
Bionic
Undecided
Unassigned
rdp-alignment (Ubuntu)
Bionic
Undecided
Unassigned
rdp-classifier (Ubuntu)
Bionic
Undecided
Unassigned
rdp-readseq (Ubuntu)
Bionic
Undecided
Unassigned
resteasy3.0 (Ubuntu)
Bionic
Undecided
Unassigned
rome (Ubuntu)
Bionic
Undecided
Unassigned
rsyntaxtextarea (Ubuntu)
Bionic
Undecided
Unassigned
saaj (Ubuntu)
Undecided
Unassigned
Cosmic
Undecided
Unassigned
scala (Ubuntu)
Bionic
Undecided
Unassigned
scilab (Ubuntu)
Bionic
Undecided
Unassigned
Cosmic
Undecided
Unassigned
shiro (Ubuntu)
Bionic
Undecided
Unassigned
sitemesh (Ubuntu)
Bionic
Undecided
Unassigned
snakeyaml (Ubuntu)
Bionic
Undecided
Unassigned
surefire (Ubuntu)
Bionic
Undecided
Unassigned
svgsalamander (Ubuntu)
Bionic
Undecided
Unassigned
testng (Ubuntu)
Bionic
Undecided
Unassigned
timingframework (Ubuntu)
Bionic
Undecided
Unassigned
trove3 (Ubuntu)
Bionic
Undecided
Unassigned
uimaj (Ubuntu)
Bionic
Undecided
Unassigned
unsafe-mock (Ubuntu)
Bionic
Undecided
Unassigned
virtualbox (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
virtualbox-hwe (Ubuntu)
Undecided
Unassigned
visualvm (Ubuntu)
Bionic
Undecided
Unassigned
writer2latex (Ubuntu)
Bionic
Undecided
Unassigned
xmlbeans (Ubuntu)
Bionic
Undecided
Unassigned
zeroc-ice (Ubuntu)
Bionic
Undecided
Unassigned

Bug Description

Transition OpenJDK 11 to 18.04 LTS.

This transition is a security update of openjdk-lts from openjdk-10 to openjdk-11. This introduces runtime and FTBFS issues which requires backports of multiple packages into the security pocket as well.

The packages are being build on PPAs under the https://launchpad.net/~openjdk-11-transition team. The PPAs depend solely on the security pocket and are separated in stages.

The agreed process among foundations and the security team is that packages in the PPAs will be binary copied into bionic-proposed, checked for migration issues, and - no issues pending - copied into bionic-security.

NOTE TO SRU MEMBERS: The packages are to be released into bionic-security ONLY. This will be done/decided by the security team.

A few packages might also need to be updated in Cosmic, but as an exception that will be done after the Bionic transition is worked out.

[2019-02-21]
Packages in stage 1 and stage 2 have been verified by the security team and are ready to be copied into bionic-proposed.

Notes:
 - jtreg and testng are new versions required as build dependencies of openjdk-11
 - all other packages are backports that must be build/bootstrapped with openjdk-10

PPAs:
https://launchpad.net/~openjdk-11-transition/+archive/ubuntu/stage1
https://launchpad.net/~openjdk-11-transition/+archive/ubuntu/stage2

Please copy them in the following order/grouping.

Group 1:
* maven-debian-helper 2.3.2~18.04.1 Tiago Stürmer Daitx (2019-02-05)

Group 2:
* dd-plist 1.20-1~18.04.1 Tiago Stürmer Daitx (2019-02-05)
* libcommons-lang3-java 3.8-1~18.04.2 Tiago Stürmer Daitx (2019-02-05)
* plexus-languages 0.9.10-1~18.04.1 Tiago Stürmer Daitx (2019-02-05)
* testng 6.9.12-2ubuntu1 Tiago Stürmer Daitx (2019-02-05)

Please upload libcommons-lang3-java from stage 2 (ignore the version in stage 1).

Group 3:
* clojure1.8 1.8.0-7ubuntu1~18.04.1 Tiago Stürmer Daitx (2019-02-06)
* gradle 4.4.1-3~18.04.1 Tiago Stürmer Daitx (2019-02-05)
* jtreg 4.2-b13-1ubuntu0.1~18.04.1 Tiago Stürmer Daitx (2019-02-05)
* maven-compiler-plugin 3.8.0-1ubuntu1~18.04.1 Tiago Stürmer Daitx (2019-02-05)
* surefire 2.22.0-1~18.04.1 Tiago Stürmer Daitx (2019-02-05)

Group 4:
* gradle-debian-helper 2.0.2~18.04.1 Tiago Stürmer Daitx (2019-02-05)

Group 5:
* groovy 2.4.16-1ubuntu1~18.04.1 Tiago Stürmer Daitx (2019-02-05)

[2019-02-22]
Packages in stage 3 that are waiting for security team review. Copy only after OK is received.

PPAs:
https://launchpad.net/~openjdk-11-transition/+archive/ubuntu/stage3

Please copy them in the following order/grouping.
Group 1:
* java-common 0.68ubuntu1~18.04.1 Tiago Stürmer Daitx (2019-02-21)
* javatools 0.72.1~18.04.1 Tiago Stürmer Daitx (2019-02-20)
* openjdk-lts 11.0.2+9-3ubuntu1~18.04.1 Tiago Stürmer Daitx (2019-02-07)

Group 2:
* gettext 0.19.8.1-6ubuntu0.2 Matthias Klose (18 hours ago)
* insubstantial 7.3+dfsg3-4~18.04.1 Tiago Stürmer Daitx (2019-02-20)
* jython 2.7.1+repack-5~18.04 Matthias Klose (2019-02-20)
* libgpars-groovy-java 1.2.1-10~18.04.1 Tiago Stürmer Daitx (2019-02-20)
* logback 1:1.2.3-2ubuntu1~18.04.1 Tiago Stürmer Daitx (2019-02-20)
* maven-javadoc-plugin 3.0.1-3~18.04.1 Tiago Stürmer Daitx (2019-02-20)
* openjdk-11-jre-dcevm 11.0.1+7-1ubuntu0.1 Matthias Klose (2019-02-19)
* openjfx 11.0.2+1-1~18.04.1 Matthias Klose (2019-02-19)
* saaj 1.4.0-3~18.04.1 Tiago Stürmer Daitx (2019-02-20)
* scala 2.11.12-4~18.04 Matthias Klose (2019-02-20)

Packages from stage 4 and later are not yet reviewed and should not be uploaded.

description: updated
description: updated
description: updated
description: updated

Hello Matthias, or anyone else affected,

Accepted maven-debian-helper into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/maven-debian-helper/2.3.2~18.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in maven-debian-helper (Ubuntu Bionic):
status: New → Fix Committed
tags: added: verification-needed verification-needed-bionic
Łukasz Zemczak (sil2100) wrote :

Hello Matthias, or anyone else affected,

Accepted testng into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/testng/6.9.12-2ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in testng (Ubuntu Bionic):
status: New → Fix Committed
Changed in plexus-languages (Ubuntu Bionic):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Matthias, or anyone else affected,

Accepted plexus-languages into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/plexus-languages/0.9.10-1~18.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in libcommons-lang3-java (Ubuntu Bionic):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Matthias, or anyone else affected,

Accepted libcommons-lang3-java into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/libcommons-lang3-java/3.8-1~18.04.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Łukasz Zemczak (sil2100) wrote :

Hello Matthias, or anyone else affected,

Accepted dd-plist into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/dd-plist/1.20-1~18.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in dd-plist (Ubuntu Bionic):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Matthias, or anyone else affected,

Accepted clojure1.8 into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/clojure1.8/1.8.0-7ubuntu1~18.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in clojure1.8 (Ubuntu Bionic):
status: New → Fix Committed
Changed in gradle (Ubuntu Bionic):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Matthias, or anyone else affected,

Accepted gradle into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gradle/4.4.1-3~18.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in jtreg (Ubuntu Bionic):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Matthias, or anyone else affected,

Accepted jtreg into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/jtreg/4.2-b13-1ubuntu0.1~18.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in maven-compiler-plugin (Ubuntu Bionic):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Matthias, or anyone else affected,

Accepted maven-compiler-plugin into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/maven-compiler-plugin/3.8.0-1ubuntu1~18.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in surefire (Ubuntu Bionic):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Matthias, or anyone else affected,

Accepted surefire into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/surefire/2.22.0-1~18.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Łukasz Zemczak (sil2100) wrote :

Hello Matthias, or anyone else affected,

Accepted gradle-debian-helper into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gradle-debian-helper/2.0.2~18.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in gradle-debian-helper (Ubuntu Bionic):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Matthias, or anyone else affected,

Accepted groovy into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/groovy/2.4.16-1ubuntu1~18.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in groovy (Ubuntu Bionic):
status: New → Fix Committed
Amr Ibrahim (amribrahim1987) wrote :

Just a question, is this update going to affect these packages:
jabref
scilab
octave
pdfsam
?

Also, I hope this update brings 18.04 LTS closer to Debian 10 regarding OpenJdk-11 and its dependant packages to facilitate the maintenance burden.

Steve Langasek (vorlon) on 2019-02-22
no longer affects: dd-plist (Ubuntu)
no longer affects: clojure1.8 (Ubuntu)
no longer affects: gradle-debian-helper (Ubuntu)
Steve Langasek (vorlon) on 2019-02-22
no longer affects: jtreg (Ubuntu)
no longer affects: libcommons-lang3-java (Ubuntu)
no longer affects: maven-compiler-plugin (Ubuntu)
no longer affects: maven-debian-helper (Ubuntu)
no longer affects: plexus-languages (Ubuntu)
no longer affects: surefire (Ubuntu)
no longer affects: testng (Ubuntu)
description: updated
no longer affects: saaj-ri (Ubuntu)

> Just a question, is this update going to affect these packages:
> jabref
> scilab
> octave
> pdfsam
> ?
>
> Also, I hope this update brings 18.04 LTS closer to Debian 10 regarding
> OpenJdk-11 and its dependant packages to facilitate the maintenance
> burden.

Yes, we are planning to update java apps that are affected by this transition.

1 comments hidden view all 252 comments
Tiago Stürmer Daitx (tdaitx) wrote :

> > Just a question, is this update going to affect these packages:
> > jabref
> > scilab
> > octave
> > pdfsam
> > ?
> >
> > Also, I hope this update brings 18.04 LTS closer to Debian 10 regarding
> > OpenJdk-11 and its dependant packages to facilitate the maintenance
> > burden.
>
> Yes, we are planning to update java apps that are affected by this transition.

To be more specific, any package that fails to run correctly with
openjdk-11 will be investigated and is a candidate for a update. The
update does not necessarily imply we will use the latest version: we
might simply apply or backport changes that allow them to work under
openjdk-11.

Amr Ibrahim (amribrahim1987) wrote :

Thanks Tiago for the answer. Those four apps specifically are widely used in the scientific and academic fields, as seen in my university for example. And I'm ready for testing when needed.

2 comments hidden view all 252 comments

Hello Matthias, or anyone else affected,

Accepted gettext into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gettext/0.19.8.1-6ubuntu0.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in gettext (Ubuntu Bionic):
status: New → Fix Committed
Changed in insubstantial (Ubuntu Bionic):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Matthias, or anyone else affected,

Accepted insubstantial into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/insubstantial/7.3+dfsg3-4~18.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in java-common (Ubuntu Bionic):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Matthias, or anyone else affected,

Accepted java-common into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/java-common/0.68ubuntu1~18.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in javatools (Ubuntu Bionic):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Matthias, or anyone else affected,

Accepted javatools into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/javatools/0.72.1~18.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in jnr-posix (Ubuntu Bionic):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Matthias, or anyone else affected,

Accepted jnr-posix into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/jnr-posix/3.0.45-2~18.04 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in jruby (Ubuntu Bionic):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Matthias, or anyone else affected,

Accepted jruby into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/jruby/9.1.17.0-1~18.04 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in jython (Ubuntu Bionic):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Matthias, or anyone else affected,

Accepted jython into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/jython/2.7.1+repack-5~18.04 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in libgpars-groovy-java (Ubuntu Bionic):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Matthias, or anyone else affected,

Accepted libgpars-groovy-java into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/libgpars-groovy-java/1.2.1-10~18.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in logback (Ubuntu Bionic):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Matthias, or anyone else affected,

Accepted logback into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/logback/1:1.2.3-2ubuntu1~18.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in maven-javadoc-plugin (Ubuntu Bionic):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Matthias, or anyone else affected,

Accepted maven-javadoc-plugin into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/maven-javadoc-plugin/3.0.1-3~18.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in openjdk-lts (Ubuntu Bionic):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Matthias, or anyone else affected,

Accepted openjdk-lts into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/openjdk-lts/11.0.2+9-3ubuntu1~18.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in openjfx (Ubuntu Bionic):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Matthias, or anyone else affected,

Accepted openjfx into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/openjfx/11.0.2+1-1~18.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in scala (Ubuntu Bionic):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Matthias, or anyone else affected,

Accepted scala into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/scala/2.11.12-4~18.04 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in openjdk-11-jre-dcevm (Ubuntu Bionic):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Matthias, or anyone else affected,

Accepted openjdk-11-jre-dcevm into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/openjdk-11-jre-dcevm/11.0.1+8-1~18.04 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Łukasz Zemczak (sil2100) wrote :

Hello Matthias, or anyone else affected,

Accepted maven-bundle-plugin into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/maven-bundle-plugin/3.5.1-2~18.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in maven-bundle-plugin (Ubuntu Bionic):
status: New → Fix Committed
Changed in maven-enforcer (Ubuntu Bionic):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Matthias, or anyone else affected,

Accepted maven-enforcer into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/maven-enforcer/3.0.0~M2-1~18.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in maven-plugin-tools (Ubuntu Bionic):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Matthias, or anyone else affected,

Accepted maven-plugin-tools into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/maven-plugin-tools/3.5-6ubuntu1~18.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Matthias Klose (doko) on 2019-02-26
no longer affects: graxxia (Ubuntu)
Łukasz Zemczak (sil2100) wrote :

Hello Matthias, or anyone else affected,

Accepted maven-jaxb2-plugin into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/maven-jaxb2-plugin/0.14.0-1~18.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in maven-jaxb2-plugin (Ubuntu Bionic):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Matthias, or anyone else affected,

Accepted jruby-openssl into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/jruby-openssl/0.9.21-2~18.04 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in jruby-openssl (Ubuntu Bionic):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Matthias, or anyone else affected,

Accepted visualvm into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/visualvm/1.4.2-2~18.04 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in visualvm (Ubuntu Bionic):
status: New → Fix Committed
1 comments hidden view all 252 comments

Hello Matthias, or anyone else affected,

Accepted libjavaewah-java into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/libjavaewah-java/0.7.9-1~18.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in libjavaewah-java (Ubuntu Bionic):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Matthias, or anyone else affected,

Accepted scilab into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/scilab/6.0.1-7~18.04 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in scilab (Ubuntu Bionic):
status: New → Fix Committed
Changed in gluegen2 (Ubuntu Bionic):
status: New → Fix Committed
Changed in ecj (Ubuntu Bionic):
status: New → Fix Committed
Changed in activemq (Ubuntu Bionic):
status: New → Fix Committed
Changed in afterburner.fx (Ubuntu Bionic):
status: New → Fix Committed
Changed in annotation-indexer (Ubuntu Bionic):
status: New → Fix Committed
Changed in apache-directory-server (Ubuntu Bionic):
status: New → Fix Committed
Changed in aspectj (Ubuntu Bionic):
status: New → Fix Committed
Changed in batik (Ubuntu Bionic):
status: New → Fix Committed
Changed in aspectj-maven-plugin (Ubuntu Bionic):
status: New → Fix Committed
Changed in bindex (Ubuntu Bionic):
status: New → Fix Committed
Changed in bridge-method-injector (Ubuntu Bionic):
status: New → Fix Committed
Changed in carrotsearch-hppc (Ubuntu Bionic):
status: New → Fix Committed
Changed in commons-httpclient (Ubuntu Bionic):
status: New → Fix Committed
Changed in eclipselink (Ubuntu Bionic):
status: New → Fix Committed
Changed in elki (Ubuntu Bionic):
status: New → Fix Committed
Changed in clojure (Ubuntu Bionic):
status: New → Fix Committed
Changed in figtree (Ubuntu Bionic):
status: New → Fix Committed
Changed in fontawesomefx (Ubuntu Bionic):
status: New → Fix Committed
Changed in hikaricp (Ubuntu Bionic):
status: New → Fix Committed
Changed in hsqldb (Ubuntu Bionic):
status: New → Fix Committed
Changed in hsqldb1.8.0 (Ubuntu Bionic):
status: New → Fix Committed
Changed in jabref (Ubuntu Bionic):
status: New → Fix Committed
Changed in jackson-core (Ubuntu Bionic):
status: New → Fix Committed
Changed in jackson-databind (Ubuntu Bionic):
status: New → Fix Committed
Changed in jackson-dataformat-xml (Ubuntu Bionic):
status: New → Fix Committed
Changed in jackson-module-jaxb-annotations (Ubuntu Bionic):
status: New → Fix Committed
Changed in javafxsvg (Ubuntu Bionic):
status: New → Fix Committed
Changed in javamail (Ubuntu Bionic):
status: New → Fix Committed
Changed in jboss-classfilewriter (Ubuntu Bionic):
status: New → Fix Committed
Changed in jboss-jdeparser2 (Ubuntu Bionic):
status: New → Fix Committed
Changed in jboss-modules (Ubuntu Bionic):
status: New → Fix Committed
Changed in jcommander (Ubuntu Bionic):
status: New → Fix Committed
Changed in jersey1 (Ubuntu Bionic):
status: New → Fix Committed
Changed in jftp (Ubuntu Bionic):
status: New → Fix Committed
Changed in jhove (Ubuntu Bionic):
status: New → Fix Committed
Changed in jmdns (Ubuntu Bionic):
status: New → Fix Committed
Changed in jts (Ubuntu Bionic):
status: New → Fix Committed
Changed in junit4 (Ubuntu Bionic):
status: New → Fix Committed
Changed in jxgrabkey (Ubuntu Bionic):
status: New → Fix Committed
Changed in libapache-poi-java (Ubuntu Bionic):
status: New → Fix Committed
Changed in libbtm-java (Ubuntu Bionic):
status: New → Fix Committed
Changed in libcommons-collections3-java (Ubuntu Bionic):
status: New → Fix Committed
Changed in libcommons-collections4-java (Ubuntu Bionic):
status: New → Fix Committed
Changed in libcommons-compress-java (Ubuntu Bionic):
status: New → Fix Committed
Changed in mariadb-connector-java (Ubuntu Bionic):
status: New → Fix Committed
Changed in zeroc-ice (Ubuntu Bionic):
status: New → Fix Committed
Steve Langasek (vorlon) on 2019-03-09
no longer affects: gettext (Ubuntu)
no longer affects: figtree (Ubuntu)
no longer affects: activemq (Ubuntu)
no longer affects: jxgrabkey (Ubuntu)
no longer affects: afterburner.fx (Ubuntu)
no longer affects: annotation-indexer (Ubuntu)
no longer affects: apache-directory-server (Ubuntu)
no longer affects: aspectj (Ubuntu)
no longer affects: aspectj-maven-plugin (Ubuntu)
no longer affects: batik (Ubuntu)
no longer affects: bindex (Ubuntu)
no longer affects: bridge-method-injector (Ubuntu)
no longer affects: carrotsearch-hppc (Ubuntu)
no longer affects: libgpars-groovy-java (Ubuntu)
no longer affects: libjavaewah-java (Ubuntu)
no longer affects: clojure (Ubuntu)
no longer affects: commons-httpclient (Ubuntu)
no longer affects: ecj (Ubuntu)
Changed in libhibernate-validator-java (Ubuntu Bionic):
status: New → Fix Committed
Changed in libjackson-json-java (Ubuntu Bionic):
status: New → Fix Committed
no longer affects: eclipselink (Ubuntu)
Steve Langasek (vorlon) on 2019-03-09
no longer affects: elki (Ubuntu)
no longer affects: fontawesomefx (Ubuntu)
no longer affects: libjackson-json-java (Ubuntu)
no longer affects: libhibernate-validator-java (Ubuntu)
no longer affects: gluegen2 (Ubuntu)
no longer affects: gradle (Ubuntu)
Changed in libjdom1-java (Ubuntu Bionic):
status: New → Fix Committed
no longer affects: groovy (Ubuntu)
Changed in libjdo-api-java (Ubuntu Bionic):
status: New → Fix Committed
no longer affects: hikaricp (Ubuntu)
no longer affects: hsqldb (Ubuntu)
no longer affects: libjdo-api-java (Ubuntu)
no longer affects: libjdom1-java (Ubuntu)
no longer affects: hsqldb1.8.0 (Ubuntu)
no longer affects: insubstantial (Ubuntu)
no longer affects: jabref (Ubuntu)
no longer affects: jackson-core (Ubuntu)
Changed in libnetx-java (Ubuntu Bionic):
status: New → Fix Committed
Steve Langasek (vorlon) on 2019-03-09
no longer affects: jackson-databind (Ubuntu)
no longer affects: jackson-dataformat-xml (Ubuntu)
no longer affects: jackson-module-jaxb-annotations (Ubuntu)
no longer affects: java-common (Ubuntu)
no longer affects: javafxsvg (Ubuntu)
no longer affects: javamail (Ubuntu)
no longer affects: javatools (Ubuntu)
no longer affects: jboss-classfilewriter (Ubuntu)
no longer affects: jboss-jdeparser2 (Ubuntu)
no longer affects: jboss-modules (Ubuntu)
no longer affects: jcommander (Ubuntu)
no longer affects: jersey1 (Ubuntu)
no longer affects: jftp (Ubuntu)
no longer affects: jhove (Ubuntu)
no longer affects: jmdns (Ubuntu)
Steve Langasek (vorlon) on 2019-03-09
no longer affects: jnr-posix (Ubuntu)
no longer affects: jruby (Ubuntu)
no longer affects: jruby-openssl (Ubuntu)
no longer affects: jts (Ubuntu)
no longer affects: libpdfbox2-java (Ubuntu)
no longer affects: jython (Ubuntu)
no longer affects: junit4 (Ubuntu)
no longer affects: libapache-poi-java (Ubuntu)
no longer affects: libbtm-java (Ubuntu)
no longer affects: libcommons-collections3-java (Ubuntu)
no longer affects: libcommons-collections4-java (Ubuntu)
no longer affects: libcommons-compress-java (Ubuntu)
no longer affects: libnetx-java (Ubuntu)
no longer affects: logback (Ubuntu)
no longer affects: mariadb-connector-java (Ubuntu)
no longer affects: maven-bundle-plugin (Ubuntu)
Steve Langasek (vorlon) on 2019-03-09
no longer affects: maven-enforcer (Ubuntu)
no longer affects: maven-javadoc-plugin (Ubuntu)
no longer affects: maven-jaxb2-plugin (Ubuntu)
Changed in libquartz-java (Ubuntu Bionic):
status: New → Fix Committed
no longer affects: maven-plugin-tools (Ubuntu)
Changed in libpicocontainer-java (Ubuntu Bionic):
status: New → Fix Committed
no longer affects: openjdk-11-jre-dcevm (Ubuntu)
no longer affects: openjdk-lts (Ubuntu)
no longer affects: openjfx (Ubuntu)
no longer affects: scala (Ubuntu)
Changed in libsambox-java (Ubuntu Bionic):
status: New → Fix Committed
no longer affects: scilab (Ubuntu)
no longer affects: visualvm (Ubuntu)
Changed in libscram-java (Ubuntu Bionic):
status: New → Fix Committed
no longer affects: zeroc-ice (Ubuntu)
Steve Langasek (vorlon) on 2019-03-09
Changed in libsejda-java (Ubuntu Bionic):
status: New → Fix Committed
no longer affects: libpicocontainer-java (Ubuntu)
no longer affects: libquartz-java (Ubuntu)
Changed in libspring-java (Ubuntu Bionic):
status: New → Fix Committed
no longer affects: libsambox-java (Ubuntu)
no longer affects: libscram-java (Ubuntu)
no longer affects: libsejda-java (Ubuntu)
no longer affects: libspring-java (Ubuntu)
Changed in libswingx-java (Ubuntu Bionic):
status: New → Fix Committed
Changed in libpdfbox2-java (Ubuntu Bionic):
status: New → Fix Committed
Changed in libxml-security-java (Ubuntu Bionic):
status: New → Fix Committed
no longer affects: libswingx-java (Ubuntu)
no longer affects: libxml-security-java (Ubuntu)
Changed in libxstream-java (Ubuntu Bionic):
status: New → Fix Committed
Changed in lucene-solr (Ubuntu Bionic):
status: New → Fix Committed
Steve Langasek (vorlon) on 2019-03-09
no longer affects: libxstream-java (Ubuntu)
Changed in mavibot (Ubuntu Bionic):
status: New → Fix Committed
no longer affects: lucene-solr (Ubuntu)
no longer affects: mavibot (Ubuntu)
Changed in mapsforge (Ubuntu Bionic):
status: New → Fix Committed
no longer affects: mapsforge (Ubuntu)
Changed in mckoisqldb (Ubuntu Bionic):
status: New → Fix Committed
no longer affects: mckoisqldb (Ubuntu)
Changed in mobile-atlas-creator (Ubuntu Bionic):
status: New → Fix Committed
no longer affects: mobile-atlas-creator (Ubuntu)
Changed in mockito (Ubuntu Bionic):
status: New → Fix Committed
no longer affects: mockito (Ubuntu)
Steve Langasek (vorlon) on 2019-03-09
Changed in msv (Ubuntu Bionic):
status: New → Fix Committed
no longer affects: msv (Ubuntu)
Changed in obantoo (Ubuntu Bionic):
status: New → Fix Committed
no longer affects: obantoo (Ubuntu)
Changed in objenesis (Ubuntu Bionic):
status: New → Fix Committed
no longer affects: objenesis (Ubuntu)
Changed in openhft-chronicle-bytes (Ubuntu Bionic):
status: New → Fix Committed
no longer affects: openhft-chronicle-bytes (Ubuntu)
Changed in openhft-chronicle-core (Ubuntu Bionic):
status: New → Fix Committed
no longer affects: openhft-chronicle-core (Ubuntu)
Steve Langasek (vorlon) on 2019-03-09
Changed in openhft-lang (Ubuntu Bionic):
status: New → Fix Committed
Changed in openjpa (Ubuntu Bionic):
status: New → Fix Committed
no longer affects: openhft-lang (Ubuntu)
no longer affects: openjpa (Ubuntu)
Changed in orthanc-imagej (Ubuntu Bionic):
status: New → Fix Committed
no longer affects: orthanc-imagej (Ubuntu)
Changed in pdfsam (Ubuntu Bionic):
status: New → Fix Committed
no longer affects: pdfsam (Ubuntu)
Changed in plexus-io (Ubuntu Bionic):
status: New → Fix Committed
no longer affects: plexus-io (Ubuntu)
Changed in procyon (Ubuntu Bionic):
status: New → Fix Committed
no longer affects: procyon (Ubuntu)
Steve Langasek (vorlon) on 2019-03-09
Changed in rdp-alignment (Ubuntu Bionic):
status: New → Fix Committed
no longer affects: rdp-alignment (Ubuntu)
Changed in rdp-classifier (Ubuntu Bionic):
status: New → Fix Committed
Changed in rdp-readseq (Ubuntu Bionic):
status: New → Fix Committed
no longer affects: rdp-classifier (Ubuntu)
no longer affects: rdp-readseq (Ubuntu)
Changed in resteasy3.0 (Ubuntu Bionic):
status: New → Fix Committed
no longer affects: resteasy3.0 (Ubuntu)
Changed in rome (Ubuntu Bionic):
status: New → Fix Committed
no longer affects: rome (Ubuntu)
Changed in rsyntaxtextarea (Ubuntu Bionic):
status: New → Fix Committed
no longer affects: rsyntaxtextarea (Ubuntu)
Steve Langasek (vorlon) on 2019-03-09
Changed in shiro (Ubuntu Bionic):
status: New → Fix Committed
no longer affects: shiro (Ubuntu)
Changed in sitemesh (Ubuntu Bionic):
status: New → Fix Committed
no longer affects: sitemesh (Ubuntu)
Changed in snakeyaml (Ubuntu Bionic):
status: New → Fix Committed
no longer affects: snakeyaml (Ubuntu)
Changed in svgsalamander (Ubuntu Bionic):
status: New → Fix Committed
no longer affects: svgsalamander (Ubuntu)
Changed in timingframework (Ubuntu Bionic):
status: New → Fix Committed
no longer affects: timingframework (Ubuntu)
Changed in trove3 (Ubuntu Bionic):
status: New → Fix Committed
no longer affects: trove3 (Ubuntu)
Steve Langasek (vorlon) on 2019-03-09
Changed in uimaj (Ubuntu Bionic):
status: New → Fix Committed
no longer affects: uimaj (Ubuntu)
Changed in unsafe-mock (Ubuntu Bionic):
status: New → Fix Committed
Changed in writer2latex (Ubuntu Bionic):
status: New → Fix Committed
no longer affects: unsafe-mock (Ubuntu)
Changed in xmlbeans (Ubuntu Bionic):
status: New → Fix Committed
no longer affects: writer2latex (Ubuntu)
no longer affects: xmlbeans (Ubuntu)
Changed in virtualbox (Ubuntu Bionic):
status: New → Fix Committed
Changed in libpdfbox-java (Ubuntu Bionic):
status: New → Fix Committed
Changed in mongo-java-driver (Ubuntu Bionic):
status: New → Fix Committed
Changed in openhft-chronicle-threads (Ubuntu Bionic):
status: New → Fix Committed
Changed in openjfx (Ubuntu Cosmic):
status: New → Fix Committed
Changed in scilab (Ubuntu Cosmic):
status: New → Fix Committed
Changed in gradle (Ubuntu Cosmic):
status: New → Fix Committed
Changed in jameica (Ubuntu Cosmic):
status: New → Fix Committed
tags: added: verification-failed-bionic
Changed in geogebra (Ubuntu Bionic):
status: New → Fix Committed
Will Cooke (willcooke) on 2019-04-02
Changed in libreoffice (Ubuntu):
assignee: nobody → Olivier Tilloy (osomon)
Iain Lane (laney) on 2019-04-02
Changed in libreoffice-l10n (Ubuntu):
assignee: nobody → Olivier Tilloy (osomon)
Changed in libreoffice (Ubuntu Cosmic):
assignee: nobody → Olivier Tilloy (osomon)
Changed in libreoffice-l10n (Ubuntu Cosmic):
assignee: nobody → Olivier Tilloy (osomon)
Olivier Tilloy (osomon) on 2019-04-08
Changed in libreoffice (Ubuntu):
status: New → Fix Committed
Changed in libreoffice-l10n (Ubuntu):
status: New → Fix Committed
no longer affects: libreoffice (Ubuntu Cosmic)
no longer affects: libreoffice-l10n (Ubuntu Cosmic)
Changed in openjdk-11-jre-dcevm (Ubuntu Bionic):
status: Fix Committed → Fix Released
Changed in activemq (Ubuntu Bionic):
status: Fix Committed → Fix Released
Changed in apache-directory-server (Ubuntu Bionic):
status: Fix Committed → Fix Released
Changed in aspectj (Ubuntu Bionic):
status: Fix Committed → Fix Released
Changed in batik (Ubuntu Bionic):
status: Fix Committed → Fix Released
Changed in carrotsearch-hppc (Ubuntu Bionic):
status: Fix Committed → Fix Released
Changed in commons-httpclient (Ubuntu Bionic):
status: Fix Committed → Fix Released
Changed in ecj (Ubuntu Bionic):
status: Fix Committed → Fix Released
Changed in eclipselink (Ubuntu Bionic):
status: Fix Committed → Fix Released
Changed in elki (Ubuntu Bionic):
status: Fix Committed → Fix Released
Changed in figtree (Ubuntu Bionic):
status: Fix Committed → Fix Released
Changed in gradle (Ubuntu Bionic):
status: Fix Committed → Fix Released
Changed in groovy (Ubuntu Bionic):
status: Fix Committed → Fix Released
Changed in hikaricp (Ubuntu Bionic):
status: Fix Committed → Fix Released
Changed in hsqldb (Ubuntu Bionic):
status: Fix Committed → Fix Released
Changed in hsqldb1.8.0 (Ubuntu Bionic):
status: Fix Committed → Fix Released
Changed in jackson-core (Ubuntu Bionic):
status: Fix Committed → Fix Released
Changed in jackson-dataformat-xml (Ubuntu Bionic):
status: Fix Committed → Fix Released
Changed in jabref (Ubuntu Bionic):
status: Fix Committed → Fix Released
Changed in jackson-databind (Ubuntu Bionic):
status: Fix Committed → Fix Released
Changed in javatools (Ubuntu Bionic):
status: Fix Committed → Fix Released
Changed in javafxsvg (Ubuntu Bionic):
status: Fix Committed → Fix Released
Changed in jboss-classfilewriter (Ubuntu Bionic):
status: Fix Committed → Fix Released
Changed in jboss-jdeparser2 (Ubuntu Bionic):
status: Fix Committed → Fix Released
Changed in jersey1 (Ubuntu Bionic):
status: Fix Committed → Fix Released
Changed in jmdns (Ubuntu Bionic):
status: Fix Committed → Fix Released
Changed in jhove (Ubuntu Bionic):
status: Fix Committed → Fix Released
Changed in junit4 (Ubuntu Bionic):
status: Fix Committed → Fix Released
Changed in jxgrabkey (Ubuntu Bionic):
status: Fix Committed → Fix Released
Changed in jython (Ubuntu Bionic):
status: Fix Committed → Fix Released
Changed in libbtm-java (Ubuntu Bionic):
status: Fix Committed → Fix Released
Changed in libcommons-collections3-java (Ubuntu Bionic):
status: Fix Committed → Fix Released
Changed in libcommons-collections4-java (Ubuntu Bionic):
status: Fix Committed → Fix Released
Changed in libjackson-json-java (Ubuntu Bionic):
status: Fix Committed → Fix Released
Changed in libjdom1-java (Ubuntu Bionic):
status: Fix Committed → Fix Released
Changed in libjogl2-java (Ubuntu):
status: New → Fix Released
Changed in libpicocontainer-java (Ubuntu Bionic):
status: Fix Committed → Fix Released
Changed in libsambox-java (Ubuntu Bionic):
status: Fix Committed → Fix Released
Changed in libsejda-java (Ubuntu Bionic):
status: Fix Committed → Fix Released
Changed in libspring-java (Ubuntu Bionic):
status: Fix Committed → Fix Released
Changed in libswingx-java (Ubuntu Bionic):
status: Fix Committed → Fix Released
Changed in libxstream-java (Ubuntu Bionic):
status: Fix Committed → Fix Released
Changed in logback (Ubuntu Bionic):
status: Fix Committed → Fix Released
Changed in lucene-solr (Ubuntu Bionic):
status: Fix Committed → Fix Released
Changed in mapsforge (Ubuntu Bionic):
status: Fix Committed → Fix Released
Changed in maven-javadoc-plugin (Ubuntu Bionic):
status: Fix Committed → Fix Released
Changed in maven-plugin-tools (Ubuntu Bionic):
status: Fix Committed → Fix Released
Changed in mobile-atlas-creator (Ubuntu Bionic):
status: Fix Committed → Fix Released
Changed in mockito (Ubuntu Bionic):
status: Fix Committed → Fix Released
Changed in mongo-java-driver (Ubuntu Bionic):
status: Fix Committed → Fix Released
Changed in msv (Ubuntu Bionic):
status: Fix Committed → Fix Released
Changed in openhft-chronicle-bytes (Ubuntu Bionic):
status: Fix Committed → Fix Released
Changed in openjfx (Ubuntu Bionic):
status: Fix Committed → Fix Released
Changed in openjdk-lts (Ubuntu Bionic):
status: Fix Committed → Fix Released
Changed in orthanc-imagej (Ubuntu Bionic):
status: Fix Committed → Fix Released
Changed in pdfsam (Ubuntu Bionic):
status: Fix Committed → Fix Released
Changed in procyon (Ubuntu Bionic):
status: Fix Committed → Fix Released
Changed in plexus-io (Ubuntu Bionic):
status: Fix Committed → Fix Released
Changed in rdp-alignment (Ubuntu Bionic):
status: Fix Committed → Fix Released
Changed in rdp-readseq (Ubuntu Bionic):
status: Fix Committed → Fix Released
Changed in resteasy3.0 (Ubuntu Bionic):
status: Fix Committed → Fix Released
Changed in timingframework (Ubuntu Bionic):
status: Fix Committed → Fix Released
Changed in snakeyaml (Ubuntu Bionic):
status: Fix Committed → Fix Released
Changed in uimaj (Ubuntu Bionic):
status: Fix Committed → Fix Released
Changed in trove3 (Ubuntu Bionic):
status: Fix Committed → Fix Released
Changed in unsafe-mock (Ubuntu Bionic):
status: Fix Committed → Fix Released
Changed in writer2latex (Ubuntu Bionic):
status: Fix Committed → Fix Released
Changed in xmlbeans (Ubuntu Bionic):
status: Fix Committed → Fix Released
Changed in bindex (Ubuntu Bionic):
status: Fix Committed → Fix Released
Changed in aspectj-maven-plugin (Ubuntu Bionic):
status: Fix Committed → Fix Released
Changed in bridge-method-injector (Ubuntu Bionic):
status: Fix Committed → Fix Released
Changed in clojure1.8 (Ubuntu Bionic):
status: Fix Committed → Fix Released
Changed in dd-plist (Ubuntu Bionic):
status: Fix Committed → Fix Released
Changed in fontawesomefx (Ubuntu Bionic):
status: Fix Committed → Fix Released
Changed in geogebra (Ubuntu Bionic):
status: Fix Committed → Fix Released
Changed in gettext (Ubuntu Bionic):
status: Fix Committed → Fix Released
Changed in gradle-debian-helper (Ubuntu Bionic):
status: Fix Committed → Fix Released
Changed in insubstantial (Ubuntu Bionic):
status: Fix Committed → Fix Released
Changed in javamail (Ubuntu Bionic):
status: Fix Committed → Fix Released
Changed in jcommander (Ubuntu Bionic):
status: Fix Committed → Fix Released
Changed in jnr-posix (Ubuntu Bionic):
status: Fix Committed → Fix Released
Changed in jtreg (Ubuntu Bionic):
status: Fix Committed → Fix Released
Changed in jts (Ubuntu Bionic):
status: Fix Committed → Fix Released
Changed in libcommons-compress-java (Ubuntu Bionic):
status: Fix Committed → Fix Released
Changed in libcommons-lang3-java (Ubuntu Bionic):
status: Fix Committed → Fix Released
Changed in libgpars-groovy-java (Ubuntu Bionic):
status: Fix Committed → Fix Released
Changed in libjdo-api-java (Ubuntu Bionic):
status: Fix Committed → Fix Released
Changed in libjgoodies-looks-java (Ubuntu Bionic):
status: New → Fix Released
Changed in libquartz-java (Ubuntu Bionic):
status: Fix Committed → Fix Released
Changed in libxml-security-java (Ubuntu Bionic):
status: Fix Committed → Fix Released
Changed in mariadb-connector-java (Ubuntu Bionic):
status: Fix Committed → Fix Released
Changed in maven-bundle-plugin (Ubuntu Bionic):
status: Fix Committed → Fix Released
Changed in maven-compiler-plugin (Ubuntu Bionic):
status: Fix Committed → Fix Released
Changed in maven-debian-helper (Ubuntu Bionic):
status: Fix Committed → Fix Released
Changed in jboss-modules (Ubuntu Bionic):
status: Fix Committed → Fix Released
Changed in maven-enforcer (Ubuntu Bionic):
status: Fix Committed → Fix Released
Changed in jftp (Ubuntu Bionic):
status: Fix Committed → Fix Released
172 comments hidden view all 252 comments
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gluegen2 - 2.3.2-7~18.04

---------------
gluegen2 (2.3.2-7~18.04) bionic; urgency=medium

  * Backport for OpenJDK 11. LP: #1814133.

gluegen2 (2.3.2-7) unstable; urgency=medium

  * Team upload.
  * Fixed the build failure with Java 10 (Closes: #897485)
  * Standards-Version updated to 4.1.4
  * Switch to debhelper level 11
  * Use salsa.debian.org Vcs-* URLs

 -- Matthias Klose <email address hidden> Fri, 01 Mar 2019 16:02:17 +0100

Changed in jruby (Ubuntu Bionic):
status: Fix Committed → Fix Released
Changed in mavibot (Ubuntu Bionic):
status: Fix Committed → Fix Released
Changed in mckoisqldb (Ubuntu Bionic):
status: Fix Committed → Fix Released
Changed in jruby-openssl (Ubuntu Bionic):
status: Fix Committed → Fix Released
Changed in openjpa (Ubuntu Bionic):
status: Fix Committed → Fix Released
Changed in libapache-poi-java (Ubuntu Bionic):
status: Fix Committed → Fix Released
Changed in surefire (Ubuntu Bionic):
status: Fix Committed → Fix Released
Changed in testng (Ubuntu Bionic):
status: Fix Committed → Fix Released
Changed in zeroc-ice (Ubuntu Bionic):
status: Fix Committed → Fix Released
Changed in gluegen2 (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libreoffice - 1:6.0.7-0ubuntu0.18.04.5

---------------
libreoffice (1:6.0.7-0ubuntu0.18.04.5) bionic; urgency=medium

  * debian/patches/jdk-11.0.2-javadoc.diff: fix architecture-independent build
    with OpenJDK 11 (debian bug #920331)

libreoffice (1:6.0.7-0ubuntu0.18.04.3) bionic-security; urgency=medium

  * debian/patches/fix-tests-openjdk11.patch: fix ODK tests when running with
    OpenJDK 11 (LP: #1814133)

 -- Olivier Tilloy <email address hidden> Wed, 27 Feb 2019 12:11:27 +0100

Changed in libreoffice (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libjavaewah-java - 0.7.9-1~18.04.1

---------------
libjavaewah-java (0.7.9-1~18.04.1) bionic; urgency=medium

  * Backport for OpenJDK 11. LP: #1814133.
  * Build using debhelper compat v11.

libjavaewah-java (0.7.9-1) unstable; urgency=medium

  * Team upload.

  [ Markus Koschany ]
  * New upstream version 0.7.9.
  * Use https for Format field.
  * Use compat level 12.
  * Declare compliance with Debian Policy 4.3.0.
  * Use canonical VCS URI.
  * Remove maven.cleanIgnoreRules and maven.publishedRules.
  * Remove dh_install override.
  * Remove debian/gbp.conf. xz compression is the default now.

  [ Emmanuel Bourg ]
  * Removed the unused build dependency on libmaven-install-plugin-java

 -- Matthias Klose <email address hidden> Fri, 01 Mar 2019 12:58:51 +0100

Changed in libjavaewah-java (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libpdfbox2-java - 2.0.13-2~18.04

---------------
libpdfbox2-java (2.0.13-2~18.04) bionic; urgency=medium

  * Backport for OpenJDK 11 (dependency of pdfsam). LP: #1814133.

libpdfbox2-java (2.0.13-2) unstable; urgency=medium

  * Team upload.
  * Build the tools module
  * Standards-Version updated to 4.3.0
  * Use salsa.debian.org Vcs-* URLs

libpdfbox2-java (2.0.13-1) unstable; urgency=medium

  * New upstream version 2.0.13.

libpdfbox2-java (2.0.12-1) unstable; urgency=medium

  * New upstream version 2.0.12.
    - Fix CVE-2018-11797: denial-of-service via specially crafted PDF file.
      (Closes: #910391)
  * Declare compliance with Debian Policy 4.2.1.

libpdfbox2-java (2.0.11-1) unstable; urgency=medium

  * New upstream version 2.0.11.

libpdfbox2-java (2.0.10-1) unstable; urgency=medium

  * New upstream version 2.0.10.

libpdfbox2-java (2.0.9-1) unstable; urgency=medium

  * New upstream version 2.0.9.
  * Declare compliance with Debian Policy 4.1.4.

 -- Matthias Klose <email address hidden> Wed, 27 Feb 2019 13:49:08 +0100

Changed in libpdfbox2-java (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package scilab - 6.0.1-7ubuntu1~18.04

---------------
scilab (6.0.1-7ubuntu1~18.04) bionic; urgency=medium

  * Backport for OpenJDK 11. LP: #1814133.

scilab (6.0.1-7ubuntu1) disco; urgency=medium

  * Fix desktop startup. LP: #1807602.

scilab (6.0.1-7build2) disco; urgency=medium

  * No-change rebuild for ocaml abi changes.

scilab (6.0.1-7build1) disco; urgency=medium

  * Rebuild against new libhdf5-103.

scilab (6.0.1-7) unstable; urgency=medium

  * Team upload.

  [ Gilles Filippini ]
  * New patch force-fop-jar-into-classpath.patch:
    force /usr/share/java/fop.jar into the classpath. Closes: #915102

scilab (6.0.1-6) unstable; urgency=medium

  * Bump std-ver to 4.2.1.
  * Merge pull request from E.Bourg (Closes: #912392).

scilab (6.0.1-5) unstable; urgency=medium

  * Rework building doc (fixes another FTBFS on non-amd64)

scilab (6.0.1-4) unstable; urgency=medium

  * Remove faulty rmdir in d/rules (fixes a FTBFS on non-amd64)

scilab (6.0.1-3) unstable; urgency=medium

  * Rework the java >= 9 support (Closes: #875790,#739235,#818352,#662986).
  * Declared all doc packages as Multi-Arch: foreign following hinter.
  * Rewrite d/rules removing use of cdbs.
  * Clean up packaging:
    - Bump dh compat to 11 (Closes: #746028)
    - Bump std-ver to 4.1.5
    - don't ship various useless files
    - remove some lintian overrides
    - don't ship fonts : find them elsewhere
  * Checked that scilab does start
    (Closes: #712065,#764783,#812311,#891351,#896118).
  * Add patch to fix fortran compilation (Closes: #904856).
  * Checked that it builds with recent gcc (Closes: #791274).

scilab (6.0.1-2) unstable; urgency=medium

  [ Emmanuel Bourg ]
  * Fixed the build failure with Java 9 (Closes: #875790)

  [ Julien Puydt ]
  * Depend on unversioned tcl/tk (Closes: #803526)
  * Force use of java 8 since later versions aren't supported (Closes: #875790)

 -- Matthias Klose <email address hidden> Tue, 19 Mar 2019 13:51:26 +0100

Changed in scilab (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package visualvm - 1.4.2-2~18.04.1

---------------
visualvm (1.4.2-2~18.04.1) bionic; urgency=medium

  * Backport to bionic for OpenJDK 11. LP: #1814133.
  * Use debhelper compat v11.

visualvm (1.4.2-2) unstable; urgency=medium

  * Team upload.
  * Tighten the dependency on default-jdk. We only support Java 11 in Buster.

visualvm (1.4.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.4.2.
    - Fix FTBFS. (Closes: #897945, #893553)
    - Fix startup issue with Java 9. (Closes: #877792, #863337)
  * Switch to compat level 12.
  * Set -Dpermit.jdk9.builds=true
  * Declare compliance with Debian Policy 4.3.0.
  * Use canonical VCS URI.
  * Refresh the patches.
  * Add empty-binaries-list.patch. Do not download any binaries from the
    internet at build time.
  * Add jhall.patch. Add jhall.jar to the CLASSPATH.
  * Add sortChildren.patch and work around a FBTFS with Java 11.
  * d/control: Use priority optional.

 -- Matthias Klose <email address hidden> Mon, 25 Feb 2019 10:43:58 +0100

Changed in visualvm (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package virtualbox - 5.2.18-dfsg-2~ubuntu18.04.5

---------------
virtualbox (5.2.18-dfsg-2~ubuntu18.04.5) bionic; urgency=medium

  * LP: #1814133.
  * Fixup java breakage and switch to java11 (this fixes a build failure).

 -- Gianfranco Costamagna <email address hidden> Fri, 08 Mar 2019 19:20:35 +0100

Changed in virtualbox (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package objenesis - 3.0.1-2~18.04

---------------
objenesis (3.0.1-2~18.04) bionic; urgency=medium

  * Backport for OpenJDK 11. LP: #1814133.

objenesis (3.0.1-2) unstable; urgency=medium

  * Ignore surefire test failures. (Closes: #911980)

objenesis (3.0.1-1) unstable; urgency=medium

  * New upstream version 3.0.1.

objenesis (3.0-1) unstable; urgency=medium

  * New upstream version 3.0.
  * Drop all patches. They were merged upstream.

objenesis (2.6-3) unstable; urgency=medium

  * Team upload.
  * Disabled the ClassDefinitionUtils.defineClass() method (which is never
    used in Debian) to work around the build failure with Java 11
    (Closes: #909258)
  * Standards-Version updated to 4.2.1

objenesis (2.6-2) unstable; urgency=medium

  * Team upload.
  * Fixed the test failure with Java 10 (Closes: #898839)
  * Standards-Version updated to 4.1.4
  * Switch to debhelper level 11
  * Use salsa.debian.org Vcs-* URLs

 -- Matthias Klose <email address hidden> Tue, 26 Feb 2019 18:10:09 +0100

Changed in objenesis (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package openhft-chronicle-threads - 1.1.6-2~18.04.1

---------------
openhft-chronicle-threads (1.1.6-2~18.04.1) bionic; urgency=medium

  * Backport for OpenJDK 11. LP: #1814133.
  * Build using debhelper compat v11.

openhft-chronicle-threads (1.1.6-2) unstable; urgency=medium

  * Team upload
  * Add patch for FTBFS (Closes: #917738)
    Thank you to Joe Lee for providing the patch.
  * Bump Standards-Version to 4.3.0
  * Update Vcs- URLs to point to Salsa
  * Use debhelper 12

 -- Matthias Klose <email address hidden> Mon, 11 Mar 2019 17:29:05 +0100

Changed in openhft-chronicle-threads (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package openhft-chronicle-core - 2.17.5-v1.1.8-2~18.04

---------------
openhft-chronicle-core (2.17.5-v1.1.8-2~18.04) bionic; urgency=medium

  * Backport for OpenJDK 11. LP: #1814133.

openhft-chronicle-core (2.17.5-v1.1.8-2) unstable; urgency=medium

  * Update String access in StringUtils.

openhft-chronicle-core (2.17.5-v1.1.8-1) unstable; urgency=medium

  * Revert a previous erroneous upload of 2.17.5.
  * Build for Java 9, also fixing compatibility with Java 11.
    Closes: #917736.

openhft-chronicle-core (2.17.5-1) unstable; urgency=medium

  * New upstream version 2.17.5.
  * Use java11 profile when building.
  * Make sure the compiler args are used, set fork=true.
  * Set source and target to Java 11
  * Java 11 drops defineClass from sun.misc.Unsafe (Closes: #917736).

openhft-chronicle-core (1.16.25-1) experimental; urgency=medium

  * Team upload to experimental.
  * New upstream version 1.16.25

openhft-chronicle-core (1.16.24-1) experimental; urgency=medium

  * Team upload to experimental.
  * New upstream version 1.16.24
  * Set source and target to Java 8
  * Build-dep on openhft-affinity 3.1.7.
  * Bump Standards-Version to 4.2.1
  * Update Vcs URLs to point to Salsa
  * Set source encoding to UTF-8 in debian/maven.properties
  * Enable tests

 -- Matthias Klose <email address hidden> Fri, 01 Mar 2019 12:52:44 +0100

Changed in openhft-chronicle-core (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package rsyntaxtextarea - 2.5.8-1~18.04

---------------
rsyntaxtextarea (2.5.8-1~18.04) bionic; urgency=medium

  * Backport for OpenJDK 11. LP: #1814133.

rsyntaxtextarea (2.5.8-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Build with Gradle instead of Ant
  * Fixed the build failure with Java 11 (Closes: #912394)
  * Standards-Version updated to 4.2.1
  * Switch to debhelper level 11
  * Use salsa.debian.org Vcs-* URLs
  * Track and download the new releases from GitHub

 -- Matthias Klose <email address hidden> Tue, 26 Feb 2019 16:32:49 +0100

Changed in rsyntaxtextarea (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package rdp-classifier - 2.10.2-4~18.04

---------------
rdp-classifier (2.10.2-4~18.04) bionic; urgency=medium

  * Backport for OpenJDK 11. LP: #1814133.

rdp-classifier (2.10.2-4) unstable; urgency=medium

  * Fix openjdk 11 FTBS (java.se.ee deprecated in jdk 11) Closes #912385

rdp-classifier (2.10.2-3) unstable; urgency=medium

  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.2.1
  * Drop unneeded get-orig-source target
  * Respect DEB_BUILD_OPTIONS in override_dh_auto_test

 -- Matthias Klose <email address hidden> Tue, 26 Feb 2019 16:29:06 +0100

Changed in rdp-classifier (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package afterburner.fx - 1.7.0-2~18.04

---------------
afterburner.fx (1.7.0-2~18.04) bionic; urgency=medium

  * Backport for OpenJDK 11. LP: #1814133.

afterburner.fx (1.7.0-2) unstable; urgency=medium

  * Update Vcs URLs to point to Salsa
  * Use debhelper 11
  * Bump Standards-Version to 4.3.0
  * Update build-dep from openjfx -> libopenjfx-java
  * Patch upstream pom for javafx and javax.inject and annotations
  * Add build-deps on libfindbugs-annotations-java and
    libgeronimo-annotation-1.3-spec-java
  * Freshen debian/copyright
  * Drop get-orig-source target from debian/rules
  * No longer build a shaded JAR

 -- Matthias Klose <email address hidden> Wed, 27 Feb 2019 14:11:18 +0100

Changed in afterburner.fx (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package scala - 2.11.12-4~18.04

---------------
scala (2.11.12-4~18.04) bionic; urgency=medium

  * Fix build with OpenJDK 11. No-change rebuild, taken from 19.04.
    LP: #1814133.

 -- Matthias Klose <email address hidden> Wed, 20 Feb 2019 14:57:08 +0100

Changed in scala (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package rome - 1.12.0-1~18.04

---------------
rome (1.12.0-1~18.04) bionic; urgency=medium

  * Backport for OpenJDK 11 (dependency of libspring-java). LP: #1814133.

rome (1.12.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Updated the Maven rules

rome (1.6.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Removed the patch
    - Build with maven-debian-helper
  * Removed the librome-java-doc package
  * Standards-Version updated to 4.3.0
  * Use salsa.debian.org Vcs-* URLs

 -- Matthias Klose <email address hidden> Fri, 01 Mar 2019 17:45:42 +0100

Changed in rome (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package shiro - 1.3.2-3~18.04

---------------
shiro (1.3.2-3~18.04) bionic; urgency=medium

  * Backport for OpenJDK 11. LP: #1814133.

shiro (1.3.2-3) unstable; urgency=medium

  * Fixed the build failure with Java 11 (Closes: #912390)
  * Standards-Version updated to 4.2.1
  * Switch to debhelper level 11
  * Use salsa.debian.org Vcs-* URLs

 -- Matthias Klose <email address hidden> Tue, 26 Feb 2019 16:36:35 +0100

Changed in shiro (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package svgsalamander - 1.1.1+dfsg-3~18.04.1

---------------
svgsalamander (1.1.1+dfsg-3~18.04.1) bionic; urgency=medium

  * Backport from Disco.
  * Required as build-dependency of mobile-atlas-creator which is being
    update to use OpenJDK 11. (LP: #1814133)

svgsalamander (1.1.1+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Removed the doc package to fix the build failure with Java 11.0.2
    (Closes: #923709)
  * Use salsa.debian.org Vcs-* URLs

 -- Tiago Stürmer Daitx <email address hidden> Tue, 05 Mar 2019 08:45:51 +0000

Changed in svgsalamander (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package annotation-indexer - 1.12-1~18.04

---------------
annotation-indexer (1.12-1~18.04) bionic; urgency=medium

  * Backport for OpenJDK 11 (dependency of bridge-method-injector).
    LP: #1814133.

annotation-indexer (1.12-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * Build with the DH sequencer instead of CDBS
  * Removed the build dependency on libmaven-enforcer-plugin-java
  * Standards-Version updated to 4.1.4
  * Switch to debhelper level 11
  * Use salsa.debian.org Vcs-* URLs
  * Removed debian/orig-tar.sh

 -- Matthias Klose <email address hidden> Wed, 27 Feb 2019 14:14:07 +0100

Changed in annotation-indexer (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package clojure - 1.9.0-6~18.04

---------------
clojure (1.9.0-6~18.04) bionic; urgency=medium

  * Backport from Disco.
  * Fix OpenJDK 11 compatibility. (LP: #1814133)

clojure (1.9.0-6) unstable; urgency=medium

  * Patch for compatibility with JDK 11 (Closes: #912261)
  * Hack for jh_classpath which seems to have stopped working.

clojure (1.9.0-5) unstable; urgency=medium

  * Fix alternatives management when clojure alternatives group doesn't
    exist. (Closes: #902445)
  * Assert compliance with the new Standards-Version. Obey.
  * Update team email to the Clojure team's, matching the Salsa link.

clojure (1.9.0-4) unstable; urgency=medium

  * Actually fix Vcs-* links (Clojure team maintains this project).

clojure (1.9.0-3) unstable; urgency=medium

  * Fix clojure.jar conflict in /usr/share/java that's causing upgrade
    issues.
  * Update the versions we break to reflect that alternatives is
    properly managing /usr/share/java/clojure.jar now.
  * Update Vcs links and Standards-Version.

 -- Tiago Stürmer Daitx <email address hidden> Tue, 05 Mar 2019 15:20:12 +0000

Changed in clojure (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gradle - 4.4.1-5ubuntu2~18.10

---------------
gradle (4.4.1-5ubuntu2~18.10) cosmic; urgency=medium

  * Backport from Disco. (LP: #1814133)

gradle (4.4.1-5ubuntu2) disco; urgency=medium

  * debian/control: revert gradle Depends back to java 8 as the previous
    update fixed java 8 compatibility and allowed gradle to be run with
    openjdk-8. (LP: #1797761)

gradle (4.4.1-5ubuntu1) disco; urgency=medium

   * Fix OpenJDK 8 compatibility: (LP: #1820389)
     - debian/patches/java8-compatibility.patch: cast ByteBuffer to Buffer
       in org.gradle.internal.hash.Hashing to prevent NoSuchMethodError
       exception.
     - debian/patches/java11-compatibility.patch: copy upstream commit for
       "Use Lookup to invoke defineClass on Java 9+ (#4976)" instead using
       the previous partial backport to enable both OpenJDK 8 and 11 support.

gradle (4.4.1-5) unstable; urgency=medium

  * Team upload.
  * Generate a very basic manpage in POD format.
  * Use ASM7 instead of ASM6 to better support Java 11 (Closes: #923284).
  * Bump libasm-java dependency to 7.0.

gradle (4.4.1-4) unstable; urgency=medium

  * Team upload.
  * Removed the unused dependency on libtomcat8-java
  * Standards-Version updated to 4.3.0

gradle (4.4.1-3) unstable; urgency=medium

  * Team upload.
  * Add build-dep on libjaxp1.3-java (addresses FTBFS)

gradle (4.4.1-2) unstable; urgency=medium

  * Improve OpenJDK 11 support by backporting additional changes from upstream
    (commit ac15612d41b43c39c).

 -- Tiago Stürmer Daitx <email address hidden> Thu, 21 Mar 2019 12:31:32 +0000

Changed in gradle (Ubuntu Cosmic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package java-common - 0.68ubuntu1~18.04.1

---------------
java-common (0.68ubuntu1~18.04.1) bionic; urgency=medium

  * Backport from Cosmic.
  * Default to openjdk-11. (LP: #1814133)

java-common (0.68ubuntu1) cosmic; urgency=medium

  * Default to java11 architectures, again (10 still shipped in disguise
    of 11).

java-common (0.68) unstable; urgency=medium

  * Team upload.
  * Moved powerpcspe to the list of Java 10 architectures (Closes: #901571)
  * Moved m68k to the list of Java 10 architectures (Closes: #904585)
  * Standards-Version updated to 4.1.5

java-common (0.67) unstable; urgency=medium

  * Team upload.
  * Added riscv64 to the list of Java 10 architectures (Closes: #897039)
  * default-jre no longer suggest default-java-plugin (Closes: #893849)

java-common (0.66) unstable; urgency=medium

  * Team upload.

  [ Emmanuel Bourg ]
  * Use salsa.debian.org Vcs-* URLs
  * Removed the GCJ paths from jvm_includes
  * Simplified debian/rules

  [ Matthias Klose ]
  * Remove all references to the plugin and gcj packages.
  * Add the default values for Java 12

java-common (0.65) unstable; urgency=medium

  * Bump sparc64 defaults to 1.10.

java-common (0.63.1) experimental; urgency=medium

  [ Tiago Stürmer Daitx ]
  * debian/control:
    - add XB-Cnf-Extra-Commands hints to default-{jre,jdk}
      for the new command-not-found extraction
  * default-jre: Lower recommends of default-java-plugin to a suggests.

  [ Matthias Klose ]
  * Bump the version of the defaults packages to 1.10, keep defaults
    for m68k powerpcspe sparc64 at 1.9.

 -- Tiago Stürmer Daitx <email address hidden> Wed, 20 Feb 2019 16:31:12 +0000

Changed in java-common (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libhibernate-validator-java - 4.3.4-1~18.04.1

---------------
libhibernate-validator-java (4.3.4-1~18.04.1) bionic; urgency=medium

  * Backport from Cosmic.
  * Update upstream release to fix missing xjc usage. (LP: #1814133)

libhibernate-validator-java (4.3.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Removed the CVE-2017-7536 patch (fixed upstream)
  * Fixed the build failure with Java 11 (Closes: #911138)

libhibernate-validator-java (4.3.3-5) unstable; urgency=medium

  * Team upload.
  * Use the maven-jaxb2-plugin instead of invoking xjc directly to fix the build
    failure with Java 11 (Closes: #905359)
  * Added the missing build dependency on libeasymock-java
  * Standards-Version updated to 4.2.1
  * Switch to debhelper level 11
  * Use salsa.debian.org Vcs-* URLs

 -- Tiago Stürmer Daitx <email address hidden> Wed, 20 Feb 2019 09:54:47 +0000

Changed in libhibernate-validator-java (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package jackson-module-jaxb-annotations - 2.8.10-4~18.04

---------------
jackson-module-jaxb-annotations (2.8.10-4~18.04) bionic; urgency=medium

  * Backport for OpenJDK 11. LP: #1814133.

jackson-module-jaxb-annotations (2.8.10-4) unstable; urgency=medium

  * Team upload.
  * Use a Maven rule instead of a patch to build with the current version
    of jackson-core
  * Standards-Version updated to 4.3.0
  * Use salsa.debian.org Vcs-* URLs

jackson-module-jaxb-annotations (2.8.10-3) unstable; urgency=medium

  * Team upload.
  * Declare compliance with Debian Policy 4.2.1.
  * Build-Depend on libactivation-java and fix FTBFS with OpenJDK 11.
    (Closes: #912546)

 -- Matthias Klose <email address hidden> Tue, 26 Feb 2019 17:27:25 +0100

Changed in jackson-module-jaxb-annotations (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package jhove - 1.20.1-5~18.10.1

---------------
jhove (1.20.1-5~18.10.1) cosmic; urgency=medium

  * Backport from Disco.
  * Fix OpenJDK 11 incompatibility and runtime issues. (LP: #1814133)

jhove (1.20.1-5) unstable; urgency=medium

  * Team upload.
  * Add jhove_javax.patch to address FTBFS (Closes: #917482).
    - Thank you to Abdelhakim Qbaich for the patch.
  * Add build-dep on libjaxb-api-java
  * Bump Standards-Version to 4.3.0
  * Tweak short description to address lintian error

 -- Tiago Stürmer Daitx <email address hidden> Tue, 05 Mar 2019 08:29:51 +0000

Changed in jhove (Ubuntu Cosmic):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package maven-jaxb2-plugin - 0.14.0-1~18.04.1

---------------
maven-jaxb2-plugin (0.14.0-1~18.04.1) bionic; urgency=medium

  * Backport from Cosmic.
  * Required for building other java packages. (LP: #1814133)

maven-jaxb2-plugin (0.14.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
    - Build the new JAXB 2.3 plugin
  * Simplified the patches
  * Removed the explicit dependency on javax.activation (provided by stax-ex)
  * Removed the javadoc package
  * Standards-Version updated to 4.1.5

maven-jaxb2-plugin (0.13.3-1) unstable; urgency=medium

  * Initial release (Closes: #897347)

 -- Tiago Stürmer Daitx <email address hidden> Wed, 20 Feb 2019 10:21:30 +0000

Changed in maven-jaxb2-plugin (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package plexus-languages - 0.9.10-1~18.04.1

---------------
plexus-languages (0.9.10-1~18.04.1) bionic; urgency=medium

  * Backport from Cosmic, required by maven-compiler-plugin. (LP: #1814133)

plexus-languages (0.9.10-1) unstable; urgency=medium

  * New upstream release
    - Refreshed the patch
    - Restored the compatibility with the version of Mockito in Debian
    - Updated the Maven rules
  * Standards-Version updated to 4.1.5
  * Switch to debhelper level 11
  * Use salsa.debian.org Vcs-* URLs

 -- Tiago Stürmer Daitx <email address hidden> Tue, 05 Feb 2019 11:40:49 +0000

Changed in plexus-languages (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package sitemesh - 2.4.1+dfsg-7~18.04

---------------
sitemesh (2.4.1+dfsg-7~18.04) bionic; urgency=medium

  * Backport for OpenJDK 11. LP: #1814133.

sitemesh (2.4.1+dfsg-7) unstable; urgency=medium

  * Team upload.

  [ Miguel Landaeta ]
  * Remove myself from uploaders list. (Closes: #871886)
  * Fix typo in Vcs-Browser field.
  * Wrap and sort dependencies lists.
  * Update copyright info.

  [ Emmanuel Bourg ]
  * Fixed the build failure with Java 11 (Closes: #911181)
  * Standards-Version updated to 4.2.1
  * Switch to debhelper level 11
  * Use salsa.debian.org Vcs-* URLs

 -- Matthias Klose <email address hidden> Tue, 26 Feb 2019 18:11:23 +0100

Changed in sitemesh (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libjogl2-java - 2.3.2+dfsg-8~18.10

---------------
libjogl2-java (2.3.2+dfsg-8~18.10) cosmic; urgency=medium

  * Backport for OpenJDK 11. LP: #1814133.

libjogl2-java (2.3.2+dfsg-8) unstable; urgency=medium

  * Team upload.
  * java11.patch: Fix FTBFS with Java 11. (Closes: #893287)

 -- Matthias Klose <email address hidden> Fri, 01 Mar 2019 16:06:40 +0100

Changed in libjogl2-java (Ubuntu Cosmic):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libpdfbox-java - 1:1.8.16-2~18.04

---------------
libpdfbox-java (1:1.8.16-2~18.04) bionic; urgency=medium

  * Backport for OpenJDK 11. LP: #1814133.

libpdfbox-java (1:1.8.16-2) unstable; urgency=medium

  * Use glyphlist.txt from aglfn instead of lcdf-typetools during build.
    (Closes: #922719)
  * Update years of packaging copyright.
  * Declare compliance with Debian Policy 4.3.0.
  * Update Vcs-* fields to point to salsa.debian.org.
  * Drop unneeded version constraint of libbcpkix-java build dependency.
  * Remove ancient Breaks/Replaces on pre-oldoldstable package versions.
  * Remove trailing whitespace from debian/changelog.
  * debian/rules: drop get-orig-source target (uscan call).
  * Use HTTPS for a couple of URLs in debian/*.
  * Minimize debian/upstream/signing-key.asc.

libpdfbox-java (1:1.8.16-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.8.16.
    - Fix CVE-2018-11797: denial-of-service via specially crafted PDF file.
      (Closes: #910390)
  * Declare compliance with Debian Policy 4.2.1.

libpdfbox-java (1:1.8.15-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.8.15.
    - Fix CVE-2018-8036. (Closes: #902776)
  * Declare compliance with Debian Policy 4.1.4.
  * Switch to compat level 11.

libpdfbox-java (1:1.8.13-2) unstable; urgency=medium

  * Address FTBFS in debian/rules (Closes: #887939)
  * Use https URL for Homepage in debian/control
  * Bump Standards-Version to 4.1.3
  * Remove unused debian/patches.

 -- Matthias Klose <email address hidden> Mon, 11 Mar 2019 12:29:30 +0100

Changed in libpdfbox-java (Ubuntu Cosmic):
status: New → Fix Released
Changed in libpdfbox-java (Ubuntu Bionic):
status: Fix Committed → Fix Released
1 comments hidden view all 252 comments
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libscram-java - 1.0.0~beta.2-3~18.04

---------------
libscram-java (1.0.0~beta.2-3~18.04) bionic; urgency=medium

  * Backport for OpenJDK 11 (new dependency for jabref). LP: #1814133.

libscram-java (1.0.0~beta.2-3) unstable; urgency=medium

  * Drop libscram-java-doc package, it FTBFSes with Java 11 and I think no one
    will notice it's missing anyway.

libscram-java (1.0.0~beta.2-2) unstable; urgency=medium

  * Mark as Multi-Arch: foreign.
  * doc: Ship two separate doc-base control files.
  * Downgrade to DH 10 and drop version restriction on
    libmaven-javadoc-plugin-java build-dependency for easier backports.

libscram-java (1.0.0~beta.2-1) unstable; urgency=medium

  * Initial release.

 -- Matthias Klose <email address hidden> Tue, 26 Feb 2019 13:33:29 +0100

Changed in libscram-java (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mongo-java-driver - 3.6.3-2~18.04

---------------
mongo-java-driver (3.6.3-2~18.04) bionic; urgency=medium

  * Backport for OpenJDK 11. LP: #1814133.

mongo-java-driver (3.6.3-2) unstable; urgency=medium

  * Team upload.
  * Removed the unused build dependency on mongodb-server (Closes: #919092)
  * Standards-Version updated to 4.3.0
  * Use salsa.debian.org Vcs-* URLs

mongo-java-driver (3.6.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 3.6.3.
  * Declare compliance with Debian Policy 4.1.4.
  * Fix FTBFS with Java 10 because com.sun.tools.doclet does not exist anymore.
    (Closes: #897458)

 -- Matthias Klose <email address hidden> Mon, 11 Mar 2019 12:46:32 +0100

Changed in mongo-java-driver (Ubuntu Cosmic):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package obantoo - 2.1.12+ds1-2~18.04

---------------
obantoo (2.1.12+ds1-2~18.04) bionic; urgency=medium

  * Backport for OpenJDK 11. LP: #1814133.

obantoo (2.1.12+ds1-2) unstable; urgency=medium

  * Add dependency on libjaxb-api-java for OpenJDK 11 (Closes: #912384)
  * Bump policy version (no changes)
  * cleanup rules

obantoo (2.1.12+ds1-1) unstable; urgency=medium

  * Initial release. Closes: #897365

 -- Matthias Klose <email address hidden> Tue, 26 Feb 2019 18:09:09 +0100

Changed in obantoo (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package openhft-chronicle-threads - 1.1.6-2~18.04.1

---------------
openhft-chronicle-threads (1.1.6-2~18.04.1) bionic; urgency=medium

  * Backport for OpenJDK 11. LP: #1814133.
  * Build using debhelper compat v11.

openhft-chronicle-threads (1.1.6-2) unstable; urgency=medium

  * Team upload
  * Add patch for FTBFS (Closes: #917738)
    Thank you to Joe Lee for providing the patch.
  * Bump Standards-Version to 4.3.0
  * Update Vcs- URLs to point to Salsa
  * Use debhelper 12

 -- Matthias Klose <email address hidden> Mon, 11 Mar 2019 17:29:05 +0100

Changed in openhft-chronicle-threads (Ubuntu Cosmic):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package openhft-lang - 6.7.6-2~18.04

---------------
openhft-lang (6.7.6-2~18.04) bionic; urgency=medium

  * Backport for OpenJDK 11. LP: #1814133.

openhft-lang (6.7.6-2) unstable; urgency=medium

  * Update Vcs-*.
  * Port to Java 11, ignore test failures.
    Closes: #893495, #917727.

 -- Matthias Klose <email address hidden> Sat, 02 Mar 2019 11:13:16 +0100

Changed in openhft-lang (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package jameica - 2.8.4+dfsg-1~18.10

---------------
jameica (2.8.4+dfsg-1~18.10) cosmic; urgency=medium

  * Backport for OpenJDK 11. LP: #1814133.

jameica (2.8.4+dfsg-1) unstable; urgency=medium

  * New upstream version 2.8.4+dfsg

jameica (2.8.3+dfsg-2) unstable; urgency=medium

  * Add missing dependency

jameica (2.8.3+dfsg-1) unstable; urgency=medium

  * New upstream version 2.8.3+dfsg
  * Rebase patches

jameica (2.8.2+dfsg-6) unstable; urgency=medium

  * Switch to GTK3 (Closes: #917577)
  * Bump policy version (no changes)

jameica (2.8.2+dfsg-5) unstable; urgency=medium

  * Team upload.
  * Depend on libicu4j-java instead of libicu4j-49-java

jameica (2.8.2+dfsg-4) unstable; urgency=medium

  * Team upload.
  * Switch from libmysql-java to libmariadb-java. See #912916 for more
    information.

jameica (2.8.2+dfsg-3) unstable; urgency=medium

  * Add libjaxb-api-java build dependency (Closes: #912548)

jameica (2.8.2+dfsg-2) unstable; urgency=medium

  * Port to Eclipse 4 (Closes: #908620)

jameica (2.8.2+dfsg-1) unstable; urgency=medium

  * New upstream version 2.8.2+dfsg
  * Rebase patches
  * Update dependencies

 -- Matthias Klose <email address hidden> Tue, 26 Feb 2019 17:29:34 +0100

Changed in jameica (Ubuntu Cosmic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package scilab - 6.0.1-7ubuntu1~18.10

---------------
scilab (6.0.1-7ubuntu1~18.10) cosmic; urgency=medium

  * Backport for OpenJDK 11. LP: #1814133.

scilab (6.0.1-7ubuntu1) disco; urgency=medium

  * Fix desktop startup. LP: #1807602.

scilab (6.0.1-7build2) disco; urgency=medium

  * No-change rebuild for ocaml abi changes.

scilab (6.0.1-7build1) disco; urgency=medium

  * Rebuild against new libhdf5-103.

scilab (6.0.1-7) unstable; urgency=medium

  * Team upload.

  [ Gilles Filippini ]
  * New patch force-fop-jar-into-classpath.patch:
    force /usr/share/java/fop.jar into the classpath. Closes: #915102

scilab (6.0.1-6) unstable; urgency=medium

  * Bump std-ver to 4.2.1.
  * Merge pull request from E.Bourg (Closes: #912392).

 -- Matthias Klose <email address hidden> Tue, 19 Mar 2019 13:51:26 +0100

Changed in scilab (Ubuntu Cosmic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libnetx-java - 0.5-4~18.04

---------------
libnetx-java (0.5-4~18.04) bionic; urgency=medium

  * Backport for OpenJDK 11. LP: #1814133.

libnetx-java (0.5-4) unstable; urgency=medium

  * Team upload.
  * Fixed the build failure with Java 11 (Closes: #912543)
  * Standards-Version updated to 4.2.1
  * Switch to debhelper level 11
  * Use salsa.debian.org Vcs-* URLs

 -- Matthias Klose <email address hidden> Tue, 26 Feb 2019 16:02:16 +0100

Changed in libnetx-java (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package openjfx - 11.0.2+1-1~18.10

---------------
openjfx (11.0.2+1-1~18.10) cosmic; urgency=medium

  * Build for bionic. LP: #1814133.
  * Don't build with -Wno-error=cast-function-type, not available in GCC 7.

openjfx (11.0.2+1-1) unstable; urgency=medium

  * New upstream release
    - Refreshed the patches
  * Standards-Version updated to 4.3.0

openjfx (11.0.1+1-1) unstable; urgency=medium

  * New upstream release
  * Fixed the watch file to track the 11.x updates

openjfx (11+26-5) unstable; urgency=medium

  * Tentatively fix FTBFS on big endian architectures (Closes: #880359)

 -- Matthias Klose <email address hidden> Tue, 19 Feb 2019 10:31:39 +0100

Changed in openjfx (Ubuntu Cosmic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libreoffice-l10n - 1:6.0.7-0ubuntu0.18.04.4

---------------
libreoffice-l10n (1:6.0.7-0ubuntu0.18.04.4) bionic; urgency=medium

  * debian/patches/jdk-11.0.2-javadoc.diff: fix architecture-independent build
    with OpenJDK 11 (debian bug #920331)

 -- Olivier Tilloy <email address hidden> Wed, 27 Feb 2019 12:11:27 +0100

Changed in libreoffice-l10n (Ubuntu):
status: Fix Committed → Fix Released
Olivier Tilloy (osomon) on 2019-04-30
no longer affects: fonts-liberation2 (Ubuntu Cosmic)
Changed in fonts-liberation2 (Ubuntu):
status: New → Fix Released
Changed in virtualbox (Ubuntu):
status: New → Fix Released
no longer affects: virtualbox-hwe (Ubuntu Cosmic)
no longer affects: virtualbox (Ubuntu Cosmic)
Changed in virtualbox-hwe (Ubuntu):
status: New → Fix Released
Displaying first 40 and last 40 comments. View all 252 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.